This page contains technical details of PSSS device.  For user guide see [PSSS user guide](Aramis spectral diagnostics/PSSS user guide).

# Camera settings  
**25.08.20**
- Camera sever: 73
- Event: 14
- Pulser: 1
- Total delay: 6500.994 (offset -1) +1000  = -2499.006 us when not at 100 Hz, or 7500.994 at 100 Hz
- Width: 5.000 us
- Camera: PCO.edge 5.5 16 bit
- Board number: 0
- Exposure: 9 ms, 0 delay
- ROI: 2560 x 2160 (x,y) 
 
**31.1.21** 
 
Changes from above so camera is always triggered at 100 Hz
- Exposure: 9.9 ms, 0 delay
- Event: 38
- Pulser: 5
- Total delay: 0.0 + 6650.000 us
- Width: 5.000 us

**16.6.23**  
**Pulse ID buffering is no longer working!**
Correct pulse ID confirmed at 50 Hz
- Camera event: 14
- Pulser: 6
- Total delay: 1035.937 + 6500.994 us
- Width: 7.000 us
- BS event:75
- ROI: 2560 x 1162 (500:1661) x,y 

# Drawings
- [Camera and screen assembly](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=211061&pPosInQueryList=1&pCount=7840&pIndexInQueryList=728&pKrz=&pHg=50024&pUg=&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Main spectrometer overview](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=209837&pPosInQueryList=1&pCount=1&pIndexInQueryList=1&pKrz=&pHg=50024&pUg=21&pLnr=420&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Grating arm](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=209245&pPosInQueryList=1&pCount=1090&pIndexInQueryList=291&pKrz=&pHg=50024&pUg=21&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Grating chamber](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=208882&pPosInQueryList=1&pCount=1090&pIndexInQueryList=283&pKrz=&pHg=50024&pUg=21&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Calibration filter holder](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=210203&pPosInQueryList=1&pCount=1090&pIndexInQueryList=337&pKrz=&pHg=50024&pUg=21&pLnr=&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)

# Motor positions
Motor set points for grating and crystal positions.
 
Crystal type -SARFE10-PSSS059:MOTOR_X3
| Crystal| Readback |
| ------ | ------ |
| None| - 0.0|
| Si(111)R155| -29.0 |
| Si(220)R75| -51.0|
| Si(220)R145| -73.0|
| Si(220)R200| -82.6 (low limit switch)|

Grid type - SARFE10-PSSS055:MOTOR_X1
| Grating| Readback |
| ------ | ------ |
| None| -0.0|
| 100 nm a| -62.0 |
| 100 nm b| -86.0|
| 150 nm | -110.0|
| 200 nm | -134.0|

# Look-up tables

**Girder position** - moves the PSSS into the position of the diffracted order

<img src="https://docs.google.com/drawings/d/e/2PACX-1vRzHt49pbHB7YtzwXudqx_pEv6Yo_vzACSkFJw4BrgTRo2KGCQpVzCcMMIGP4OofobEB2TiPujmkL-b/pub?w=687&amp;h=689">

**Si(111) Radius of curvature 155** - rotates crystal, sets camera position and rotation and sets camera calibration

<img src="https://docs.google.com/drawings/d/e/2PACX-1vS5sq7d5_vuumKHwszF-rwEiksOgPV2lfYWXCjDeirycTeoMeIqdSSAxxqQZkYMoEWUHmmHfdd7n8Zn/pub?w=691&amp;h=689">

**Si(220) Radius of curvature 75** - rotates crystal, sets camera position and rotation and sets camera calibration

<img src="https://docs.google.com/drawings/d/e/2PACX-1vRvRgdW9iNsNmHIY6W_tPsxLWJIVpL6xDv8e8Wpp1-LNAIOxyquW7qB6mOfik53su9BkGDhZV9LkJAf/pub?w=686&amp;h=685">

**Si(220) Radius of curvature 145** - rotates crystal, sets camera position and rotation and sets camera calibration

<img src="https://docs.google.com/drawings/d/e/2PACX-1vSfr1dYHCLy7euDiiECSVRoP-sAgOucRPfb7pGUpTZbDOnXUj2zpPnfMJfzAqZAJEHMIYhpgAA0dzDs/pub?w=683&amp;h=689">

**Si(220) Radius of curvature 200** - rotates crystal, sets camera position and rotation and sets camera calibration

<img src="https://docs.google.com/drawings/d/e/2PACX-1vTVFCfwmoQAIZSSttBs8TsArXWcVe5dG1xVi-RiycnXD23rZ3RGDTDNbETRKrFiS6wnECEmaKvq-fQO/pub?w=688&amp;h=690">