# Drawings
- [Overview](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=200622&pPosInQueryList=1&pCount=1&pIndexInQueryList=1&pKrz=&pHg=50024&pUg=24&pLnr=161&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [Device](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=200624&pPosInQueryList=1&pCount=1&pIndexInQueryList=1&pKrz=&pHg=50024&pUg=24&pLnr=163&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
- [MCP & mirror holder](http://planarchiv.psi.ch/plandb_pub/p_plandb_cus_pub_sucw.viewItem?pId=200628&pPosInQueryList=1&pCount=1&pIndexInQueryList=1&pKrz=&pHg=50024&pUg=24&pLnr=167&pAnlage=&pBaugruppe=&pBenennung=&pFremdNr=&pGueltig=GUL)
# Detector - Micro channel plate: 
Double stack, [F2221 - 27P320](https://www.hamamatsu.com/eu/en/product/optical-sensors/electron_ion-sensor/mcp/circular_multianode_demountable/F2221.html)
# Imaging
- Camera:[acA640-120gm](https://www.baslerweb.com/en/products/cameras/area-scan-cameras/ace/aca640-121gm/)
- Lens: 50 mm [MVL50M1](https://www.thorlabs.com/thorproduct.cfm?partnumber=MVL50M1)
- Camera serial number: 22470860
# High voltage set points
- MCP_front set point -1500 V
- Screen set point 3000 V
# High voltage set control
Voltage ramp time from turn on/off approx 2 minutes  

**Turn on**  
_MCP front_: `caput SAROP21-PSRD103:CH0-ONOFF-SP 1`  
_Screen_: `caput SAROP21-PSRD103:CH1-ONOFF-SP 1`  
**Turn off**  
_MCP front_: `caput SAROP21-PSRD103:CH0-ONOFF-SP 0`  
_Screen_: `caput SAROP21-PSRD103:CH1-ONOFF-SP 0`
# Config
- Image preview PV : SAROP21-PSRD103:FPICTURE
- Trigger currently from SGE-CPCW-74-EVR0, FrontUnivOut9

# Camera view
The camera does not image the full MCP screen (aprrox 70 %). Below are screen shots explaining what is seen by the camera.

<img src="https://docs.google.com/drawings/d/e/2PACX-1vQgQt1JOrCNkeBEhYpXwS-DoMsCCCMa3sHWzQP350plvV5mK2mYEx_KYJrRPkmZRw3Lo4GhOrZh1eHv/pub?w=1402&amp;h=1054">

<img src="https://docs.google.com/drawings/d/e/2PACX-1vRVXM3PQYnclY8MU40jpGMQCGvim2UZSzZNMe4JA3MBj2OYsuv4xARf07iDXrPUr92jMOA0L2ux5EL1/pub?w=1412&amp;h=1067">

<img src="https://docs.google.com/drawings/d/e/2PACX-1vTJtlLUAfUyu3onqnlmqR18ZcpYhhZPs_xWpcbjv1hCoZ3CpApn9AKMjpj7kBfSU0chnkOwlMvNRPCq/pub?w=1391&amp;h=1038">

# Triggering
**29.06.20**
- Event: 13
- Pulser: 0
- Total delay: 6498.999 + 500  = 6998.999 us
- Width: 5.000 us
<img src="https://docs.google.com/drawings/d/e/2PACX-1vQ-9_DmsnDC6xGJEK0-whVVjRSSjTe8AEv1BNXuPdxvBMqMBoQJ4E3g3EGTsw6Vr4AzgjEi2LwH-51Z/pub?w=1391&amp;h=684">